ISCSID(8)

NAME
iscsid - iSCSI initiator daemon

SYNOPSIS
iscsid [-P pidfile] [-d] [-l loglevel] [-m maxproc] [-t seconds]

DESCRIPTION
The iscsid daemon is responsible for performing the Login Phase of iSCSI connections, as well as performing SendTargets discovery.

Upon startup, the iscsid daemon opens the iSCSI initiator device file and waits for kernel requests. iscsid does not use any configuration files. All needed information is supplied by the kernel.

When the iscsid daemon is not running, already established iSCSI connections continue to work. However, establishing new connections, or recovering existing ones in case of connection error, is not possible.

The following options are available:

-P pidfile
    Specify alternative location of a file where main process PID will be stored. The default location is /var/run/iscsid.pid.

-d  Debug mode. The server sends verbose debug output to standard error, and does not put itself in the background. The server will also not fork and will exit after processing one connection. This option is only intended for debugging the initiator.

-l loglevel
    Specifies debug level. The default is 0.

-m maxproc
    Specifies limit for concurrently running child processes handling connections. The default is 30. Setting it to 0 disables the limit.

-t seconds
    Specifies timeout for login session, after which the connection will be forcibly terminated. The default is 60. Setting it to 0 disables the timeout.

FILES
/dev/iscsi
    The iSCSI initiator device file.
/var/run/iscsid.pid
    The default location of the iscsid PID file.

EXIT STATUS
The iscsid utility exits 0 on success, and >0 if an error occurs.

SEE ALSO
iscsi(4), iscsictl(8)

HISTORY
The iscsid command appeared in FreeBSD 10.0.

AUTHORS
The iscsid utility was developed by Edward Tomasz Napierala <trasz@FreeBSD.org> under sponsorship from the FreeBSD Foundation.